<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Action\Ticket;

use Chill\MainBundle\Entity\User;
use Chill\MainBundle\Entity\UserGroup;
use Symfony\Component\Serializer\Annotation\Groups;

/**
 * Add a single addressee to the ticket.
 *
 * This command is converted into an "SetAddresseesCommand" for handling
 */
final readonly class AddAddresseeCommand
{
    public function __construct(
        #[Groups(['read'])]
        public User|UserGroup $addressee
    ) {}
}
