<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Action\Ticket;

use Symfony\Component\Validator\Constraints as Assert;
use Symfony\Component\Serializer\Annotation as Serializer;

final readonly class AddCommentCommand
{
    public function __construct(
        #[Assert\NotBlank()]
        #[Assert\NotNull]
        #[Serializer\Groups(['write'])]
        public ?string $content = null,
    ) {}
}
