<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Action\Ticket;

use Chill\PersonBundle\Entity\Person;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints\GreaterThan;

class SetPersonsCommand
{
    public function __construct(
        /**
         * @var list<Person>
         */
        #[GreaterThan(0)]
        #[Groups(['read'])]
        public array $persons
    ) {}
}
