<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\DataFixtures\ORM;

use Chill\TicketBundle\Entity\Motive;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Bundle\FixturesBundle\FixtureGroupInterface;
use Doctrine\Persistence\ObjectManager;

final class LoadMotives extends Fixture implements FixtureGroupInterface
{
    public static function getGroups(): array
    {
        return ['ticket'];
    }

    public function load(ObjectManager $manager)
    {
        foreach (explode("\n", self::MOTIVES) as $label) {
            if ('' === trim($label)) {
                continue;
            }

            $motive = new Motive();
            $motive->setLabel(['fr' => trim($label)]);

            $manager->persist($motive);
        }

        $manager->flush();
    }

    private const MOTIVES = <<<'TXT'
        Coordonnées
        Horaire de passage
        Retard de livraison
        Erreur de livraison
        Colis incomplet
        MATLOC
        Retard DASRI
        Planning d'astreintes
        Planning des tournées
        Contrôle pompe
        Changement de rendez-vous
        Renseignement facturation/prestation
        Décès patient
        Demande de prise en charge
        Information absence
        Demande bulletin de situation
        Difficultés accès logement
        Déplacement inutile
        Problème de prélèvement/de commande
        Parc auto
        Demande d'admission
        Retrait de matériel au domicile
        Comptes-rendus
        Démarchage commercial
        Demande de transport
        Demande laboratoire
        Demande admission
        Suivi de prise en charge
        Mauvaise adresse
        Patient absent
        Annulation
        Colis perdu
        Changement de rendez-vous
        Coordination interservices
        Problème de substitution produits
        Problème ordonnance
        Réclamations facture
        Préparation urgente
        TXT;
}
