import App from "./App.vue";
import { createApp } from "vue";

import { _createI18n } from "../../../../../../ChillMainBundle/Resources/public/vuejs/_js/i18n";

import VueToast from "vue-toast-notification";
import "vue-toast-notification/dist/theme-sugar.css";

import { store } from "./store";
import messages from "./i18n/messages";

declare global {
    interface Window {
        initialTicket: string;
    }
}

const i18n = _createI18n(messages, false);

const _app = createApp({
    template: "<app></app>",
});

_app.use(store)
    .use(i18n)
    // Cant use this.$toast in components in composition API so we need to provide it
    // Fix: with vue-toast-notification@^3
    .use(VueToast)
    .provide("toast", _app.config.globalProperties.$toast)
    .component("app", App)
    .mount("#ticketRoot");
