import {
    fetchResults,
    makeFetch,
} from "../../../../../../../../ChillMainBundle/Resources/public/lib/api/apiMethods";

import { Module } from "vuex";
import { RootState } from "..";

import { Comment } from "../../../../types";

export interface State {
    comments: Comment[];
}

export const moduleComment: Module<State, RootState> = {
    state: () => ({
        comments: [] as Comment[],
    }),
    getters: {},
    mutations: {},
    actions: {
        async createComment(
            { commit },
            datas: { ticketId: number; content: Comment["content"] },
        ) {
            const { ticketId, content } = datas;
            try {
                const result = await makeFetch(
                    "POST",
                    `/api/1.0/ticket/${ticketId}/comment/add`,
                    { content },
                );
                commit("setTicket", result);
            } catch (e: any) {
                throw e.name;
            }
        },
    },
};
