import { makeFetch } from "../../../../../../../../ChillMainBundle/Resources/public/lib/api/apiMethods";
import { Person } from "../../../../../../../../ChillPersonBundle/Resources/public/types";
import { Module } from "vuex";
import { RootState } from "..";
import { Ticket } from "../../../../types";

export interface State {}

export const modulePersons: Module<State, RootState> = {
    actions: {
        async setPersons(
            { commit, rootState: RootState },
            payload: { persons: Person[] },
        ) {
            const persons = payload.persons.map((person: Person) => ({
                id: person.id,
                type: person.type,
            }));
            try {
                const result: Ticket = await makeFetch(
                    "POST",
                    `/api/1.0/ticket/${RootState.ticket.ticket.id}/persons/set`,
                    { persons },
                );
                commit("setTicket", result);

                return Promise.resolve();
            } catch (e: any) {
                throw e.name;
            }
        },
    },
};
