import { Module } from "vuex";
import { RootState } from "..";

import { Ticket } from "../../../../types";

export interface State {
    ticket: Ticket;
    action_icons: object;
}

export const moduleTicket: Module<State, RootState> = {
    state: () => ({
        ticket: {} as Ticket,
        action_icons: {
            // TODO cleanup those keys
            add_person: "fa fa-eyedropper",
            add_comment: "fa fa-comment",
            set_motive: "fa fa-paint-brush",
            //add_addressee: "fa fa-paper-plane",
            addressees_state: "fa fa-paper-plane",
            set_persons: "fa fa-eyedropper",
            persons_state: "fa fa-eyedropper",
        },
        toto: "toto",
    }),
    getters: {
        getTicket(state) {
            state.ticket.history = state.ticket.history.sort((a, b) =>
                b.at.datetime.localeCompare(a.at.datetime),
            );
            return state.ticket;
        },

        getActionIcons(state) {
            return state.action_icons;
        },
        getDistinctAddressesHistory(state) {
            const addresseeHistory = state.ticket.history.reduce(
                (result, item) => {
                    const { datetime } = item.at;
                    if (
                        ![
                            "add_addressee",
                            "remove_addressee",
                            "add_person",
                        ].includes(item.event_type)
                    ) {
                        result[datetime] = item;
                        return result;
                    }

                    if (!result[datetime]) {
                        result[datetime] = [];
                    }
                    /*
                    if (item.event_type === "add_addressee") {
                        result[datetime].push(item);
                    }
                     */
                    return result;
                },
                {} as any,
            );
            return Object.values(addresseeHistory) as Ticket["history"][];
        },
    },
    mutations: {
        setTicket(state, ticket) {
            state.ticket = ticket;
        },
    },
    actions: {},
};
